Attribute VB_Name = "basLogFileDemo"
Option Explicit
Public oLogFile1 As New CLogFile    ' Create a new Log File object.
Public oLogFile2 As New CLogFile    ' Create a new Log File object.
Sub Main()
On Error GoTo Main_Err

    ' Set Log File properties.
    With oLogFile1
        .AppName = "Log File Demo"
        .Name = "MyLog1.TXT"
        
        ' Try logging to an un-open file -- should be an error.
        .LogEntry
        
        ' Start logging.
        .LogStart
        
        ' Try opening an open file -- should be an error.
        .LogStart
    End With
    
    With oLogFile2
        .AppName = "Log File Demo"
        
        ' Start logging without a file name -- should be an error.
        .LogStart
        
        ' Set the file name.
        .Name = "MyLog2.TXT"

        ' Start logging.
        .LogStart
        
    End With

    Load frmLogFileDemo
    
Main_Exit:
    Exit Sub
    
Main_Err:
    If Err > vbObjectError Then
        MsgBox "Error:  " _
             & Str$(Err - vbObjectError) _
             & " -- " _
             & Err.Description
    Else
        MsgBox "Error:  " _
             & Str$(Err) _
             & " -- " _
             & Err.Description
    End If
    
    Resume Next
    
End Sub
