VERSION 4.00
Begin VB.Form frmLogFileDemo 
   Caption         =   "Log File Server Demo"
   ClientHeight    =   1908
   ClientLeft      =   1848
   ClientTop       =   1944
   ClientWidth     =   6384
   Height          =   2292
   Left            =   1800
   LinkTopic       =   "Form1"
   ScaleHeight     =   1908
   ScaleWidth      =   6384
   Top             =   1608
   Width           =   6480
   Begin VB.CommandButton cmdLogFile2 
      Caption         =   "Log File 2"
      Height          =   372
      Left            =   5040
      TabIndex        =   4
      Top             =   840
      Width           =   1092
   End
   Begin VB.TextBox txtMessage 
      Height          =   372
      Left            =   1320
      TabIndex        =   2
      Top             =   600
      Width           =   3492
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   372
      Left            =   2640
      TabIndex        =   1
      Top             =   1320
      Width           =   1092
   End
   Begin VB.CommandButton cmdLogFile1 
      Caption         =   "Log File 1"
      Height          =   372
      Left            =   5040
      TabIndex        =   0
      Top             =   360
      Width           =   1092
   End
   Begin VB.Label lblMessage 
      Caption         =   "Message:"
      Height          =   372
      Left            =   240
      TabIndex        =   3
      Top             =   600
      Width           =   972
   End
End
Attribute VB_Name = "frmLogFileDemo"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit
Private Sub cmdLogFile1_Click()
    With oLogFile1
        .Severity = clfDEBUG
        .Message = txtMessage
        
        ' Write the message to the log.
        .LogEntry
    End With
End Sub
Private Sub cmdLogFile2_Click()
On Error GoTo cmdLogFile2_Click_Err

    With oLogFile2
        ' Try setting an invalid property -- should be an error.
        .Severity = 65
        
        ' Set valid properties.
        .Severity = clfERROR
        .Message = txtMessage
        
        ' Write the message to the log.
        .LogEntry
    End With
    
cmdLogFile2_Click_Exit:
    Exit Sub
    
cmdLogFile2_Click_Err:
    If Err > vbObjectError Then
        MsgBox "Error:  " _
             & Str$(Err - vbObjectError) _
             & " -- " _
             & Err.Description
    Else
        MsgBox "Error:  " _
             & Str$(Err) _
             & " -- " _
             & Err.Description
    End If

    Resume Next
    
End Sub
Private Sub cmdOK_Click()
    Unload Me
End Sub
Private Sub Form_Load()
    Show
End Sub
Private Sub Form_Unload(Cancel As Integer)
On Error GoTo Form_Unload_Err

    ' If we opened a log file, close it.
    If oLogFile1.Status = clfOPEN Then
        oLogFile1.LogStop
        ' Try closing a closed log -- should be an error.
        oLogFile1.LogStop
    End If
    
    If oLogFile2.Status = clfOPEN Then
        oLogFile2.LogStop
    End If
    
    ' Destroy our log file objects.
    Set oLogFile1 = Nothing
    Set oLogFile2 = Nothing
    
    ' Destroy our form.
    Set frmLogFileDemo = Nothing
    
    ' Shutdown VB.
    End
    
Form_Unload_Exit:
    Exit Sub
    
Form_Unload_Err:
    If Err > vbObjectError Then
        MsgBox "Error:  " _
             & Str$(Err - vbObjectError) _
             & " -- " _
             & Err.Description
    Else
        MsgBox "Error:  " _
             & Str$(Err) _
             & " -- " _
             & Err.Description
    End If
    
    Resume Next
    
End Sub
